| LicenseSpring C++ SDK 7.32.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
LicenseSpring::ProductDetails Class Reference

Class that encapsulates information about a product. More...

`#include <LicenseSpring/ProductDetails.h>`

## Public Types
using | ptr_t = std::shared_ptr< ProductDetails >

## Public Member Functions
| ProductDetails ()
| Default constructor, creates empty (invalid) Product details.
bool | isTrialAllowed () const
| Checks whether trial license is allowed for this product or not.
bool | isVMAllowed () const
| Checks if running the product on virtual machines is allowed.
uint32_t | trialPeriod () const
| Getter for trial period value in days.
uint32_t | floatingLicenseTimeout () const
| Getter for floating licenses in minutes.
const std::string & | productName () const
| Getter for product name.
const std::string & | productCode () const
| Getter for product code.
LSAuthMethod | authorizationMethod () const
| Getter for product authorization method.
const std::string & | metadata () const
| Getter for product metadata.
const std::string & | latestVersion () const
| Getter for latest product version.
InstallationFile::ptr_t | installationFile () const
| Getter for product installation file.
bool | isEqual (const ProductDetails &other) const
| Compare this object to other.

## Static Public Member Functions
static ProductDetails | fromJsonString (const std::string &jsonString)
| Helper method, creates ProductDetails object from JSON string.

## Detailed Description

Class that encapsulates information about a product.

Product information can be obtained through the backend using BaseManager::getProductDetails()

Definition at line 20 of file ProductDetails.h.

## Member Typedef Documentation

## ◆ ptr_t

using LicenseSpring::ProductDetails::ptr_t = std::shared_ptr<ProductDetails>

Definition at line 23 of file ProductDetails.h.

## Constructor & Destructor Documentation

## ◆ ProductDetails()

LicenseSpring::ProductDetails::ProductDetails | ( |  | ) |

Default constructor, creates empty (invalid) Product details.

## Member Function Documentation

## ◆ isTrialAllowed()

bool LicenseSpring::ProductDetails::isTrialAllowed | ( |  | ) | const

Checks whether trial license is allowed for this product or not.

Returns
  True if trial licenses are allowed, false if not.

## ◆ isVMAllowed()

bool LicenseSpring::ProductDetails::isVMAllowed | ( |  | ) | const

Checks if running the product on virtual machines is allowed.

Returns
  True if virtual machines are allowed for this product, false if not.

## ◆ trialPeriod()

uint32_t LicenseSpring::ProductDetails::trialPeriod | ( |  | ) | const

Getter for trial period value in days.

Returns
  Integer representing trial period value in days.

## ◆ floatingLicenseTimeout()

uint32_t LicenseSpring::ProductDetails::floatingLicenseTimeout | ( |  | ) | const

Getter for floating licenses in minutes.

Returns
  Integer representing the default timeout for floating licenses in minutes.

## ◆ productName()

const std::string & LicenseSpring::ProductDetails::productName | ( |  | ) | const

Getter for product name.

Returns
  String of product name.

## ◆ productCode()

const std::string & LicenseSpring::ProductDetails::productCode | ( |  | ) | const

Getter for product code.

Returns
  String of product code.

## ◆ authorizationMethod()

LSAuthMethod LicenseSpring::ProductDetails::authorizationMethod | ( |  | ) | const

Getter for product authorization method.

Returns
  LSAuthMethod object stating the product authorization method, i.e. AuthMethodKeyBased or AuthMethodUserBased.

## ◆ metadata()

const std::string & LicenseSpring::ProductDetails::metadata | ( |  | ) | const

Getter for product metadata.

Returns
  JSON string of product metadata.

## ◆ latestVersion()

const std::string & LicenseSpring::ProductDetails::latestVersion | ( |  | ) | const

Getter for latest product version.

Returns
  JSON string of latest product version.

## ◆ installationFile()

InstallationFile::ptr_t LicenseSpring::ProductDetails::installationFile | ( |  | ) | const

Getter for product installation file.

Returns
  Latest installation file.

## ◆ isEqual()

bool LicenseSpring::ProductDetails::isEqual | ( | const ProductDetails & | other | ) | const

Compare this object to other.

Returns
  True if equal and false if not

## ◆ fromJsonString()

static ProductDetails LicenseSpring::ProductDetails::fromJsonString | ( | const std::string & | jsonString | ) |
| static

Helper method, creates ProductDetails object from JSON string.

Returns
  ProductDetails object from JSON string.

The documentation for this class was generated from the following file:

- LicenseSpring/ProductDetails.h